--- Makefile.orig	2013-10-17 10:54:13.000000000 -0700
+++ Makefile	2019-08-11 10:07:45.000000000 -0700
@@ -28,13 +28,14 @@
 	$(MAKE) -C src
 	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/bin
 	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/lib
-	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/man
-	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/man/man1
+	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/share/man
+	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/share/man/man1
 	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/include
 	$(INSTALL) -d $(IFLAGS_EXEC) $(PREFIX)/include/voro++
 	$(INSTALL) $(IFLAGS_EXEC) src/voro++ $(PREFIX)/bin
-	$(INSTALL) $(IFLAGS) man/voro++.1 $(PREFIX)/man/man1
+	$(INSTALL) $(IFLAGS) man/voro++.1 $(PREFIX)/share/man/man1
 	$(INSTALL) $(IFLAGS) src/libvoro++.a $(PREFIX)/lib
+	$(INSTALL) $(IFLAGS_EXEC) src/libvoro++.dylib $(PREFIX)/lib
 	$(INSTALL) $(IFLAGS) src/voro++.hh $(PREFIX)/include/voro++
 	$(INSTALL) $(IFLAGS) src/c_loops.hh $(PREFIX)/include/voro++
 	$(INSTALL) $(IFLAGS) src/cell.hh $(PREFIX)/include/voro++
@@ -53,8 +54,9 @@
 # Uninstall the executable, man page, and shared library
 uninstall:
 	rm -f $(PREFIX)/bin/voro++
-	rm -f $(PREFIX)/man/man1/voro++.1
+	rm -f $(PREFIX)/share/man/man1/voro++.1
 	rm -f $(PREFIX)/lib/libvoro++.a
+	rm -f $(PREFIX)/lib/libvoro++.dylib
 	rm -f $(PREFIX)/include/voro++/voro++.hh
 	rm -f $(PREFIX)/include/voro++/c_loops.hh
 	rm -f $(PREFIX)/include/voro++/cell.hh
--- src/Makefile.orig	2013-10-17 10:54:13.000000000 -0700
+++ src/Makefile	2019-08-11 10:08:14.000000000 -0700
@@ -13,7 +13,7 @@
 src=$(patsubst %.o,%.cc,$(objs))
 
 # Makefile rules
-all: libvoro++.a voro++
+all: libvoro++.a libvoro++.dylib voro++
 
 depend:
 	$(CXX) -MM $(src) >Makefile.dep
@@ -24,8 +24,11 @@
 	rm -f libvoro++.a
 	ar rs libvoro++.a $^
 
-voro++: libvoro++.a cmd_line.cc
-	$(CXX) $(CFLAGS) -L. -o voro++ cmd_line.cc -lvoro++
+libvoro++.dylib: $(objs)
+	$(CXX) -dynamiclib $(LDFLAGS) -o $@ -install_name $(PREFIX)/lib/$@ -current_version $(MACPORTS_VOREXX_VERSION) -compatibility_version $(MACPORTS_VOREXX_COMPATIBILITY_VERSION) $^
+
+voro++: libvoro++.dylib cmd_line.cc
+	$(CXX) $(CFLAGS) -L. $(LDFLAGS) -o voro++ cmd_line.cc -lvoro++
 
 %.o: %.cc
 	$(CXX) $(CFLAGS) -c $<
@@ -34,6 +37,6 @@
 	doxygen Doxyfile
 
 clean:
-	rm -f $(objs) voro++ libvoro++.a
+	rm -f $(objs) voro++ libvoro++.a libvoro++.dylib
 
 .PHONY: all help execs depend
